# I3DExSoftBody Struct Reference

Inheritance diagram for I3DExSoftBody:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SetStiffness (real32 stiffness)=0
virtual void MCCOMAPI | SetBending (real32 bending)=0
virtual void MCCOMAPI | SetAero (real32 airDrag, real32 lift)=0
virtual void MCCOMAPI | SetPressure (real32 pressure)=0
virtual void MCCOMAPI | SetSelfCollision (boolean selfCollision)=0
virtual void MCCOMAPI | SetQuality (real32 simulation, real32 collision)=0
virtual void MCCOMAPI | AddPoint (const TVector3 &position)=0
virtual void MCCOMAPI | AddEdge (const TIndex2 &edge)=0
virtual void MCCOMAPI | AddFace (const Triangle &triangle)=0
virtual void MCCOMAPI | AddAnchor (int32 index, I3DExRigidBody *body)=0
virtual void MCCOMAPI | GetPointPosition (int32 node, TVector3 &position)=0

## Member Function Documentation

virtual void MCCOMAPI I3DExSoftBody::AddAnchor | ( | int32 | index,
|  | I3DExRigidBody * | body |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::AddEdge | ( | const TIndex2 & | edge | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::AddFace | ( | const Triangle & | triangle | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::AddPoint | ( | const TVector3 & | position | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::GetPointPosition | ( | int32 | node,
|  | TVector3 & | position |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::SetAero | ( | real32 | airDrag,
|  | real32 | lift |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::SetBending | ( | real32 | bending | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::SetPressure | ( | real32 | pressure | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::SetQuality | ( | real32 | simulation,
|  | real32 | collision |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::SetSelfCollision | ( | boolean | selfCollision | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSoftBody::SetStiffness | ( | real32 | stiffness | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExRigidBodySolver.h